commit: 90a5a237cebdcb99136342cf0b0da4fbe254ec59
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Thu Apr 2 13:52:45 2020 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Thu Apr 2 13:52:45 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=90a5a237
dev-python/cchardet: new package
tests restricted, investigate
Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
dev-python/cchardet/Manifest | 1 +
dev-python/cchardet/cchardet-2.1.6.ebuild | 46 ++++++++++
dev-python/cchardet/metadata.xml | 143 ++++++++++++++++++++++++++++++
3 files changed, 190 insertions(+)
diff --git a/dev-python/cchardet/Manifest b/dev-python/cchardet/Manifest
new file mode 100644
index 0000000..a975b41
--- /dev/null
+++ b/dev-python/cchardet/Manifest
@@ -0,0 +1 @@
+DIST cchardet-2.1.6.tar.gz 653913 BLAKE2B
42dc65af2c25fef8447f0fbdb1f2fd35f0a4e2fe4aec2b65b18039143ce941ec958b52a1891c0b35eeb020151188336c96feebe3fc5ac6004538ca3844e1f060
SHA512
202c9460ddb4e8ae9435308d17e4066fa9ff389bfdce49fe86e01257bd1d9904e57cfb060e262947b339a8ab09cc4758e2a193a7082da2662645d4f4267ba02c
diff --git a/dev-python/cchardet/cchardet-2.1.6.ebuild
b/dev-python/cchardet/cchardet-2.1.6.ebuild
new file mode 100644
index 0000000..2af46de
--- /dev/null
+++ b/dev-python/cchardet/cchardet-2.1.6.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="cChardet is high speed universal character encoding detector"
+HOMEPAGE="https://github.com/PyYoshi/cChardet"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MPL-1.1"
+SLOT="0"
+KEYWORDS="~amd64"
+
+#tests fail with an import failure
+# from cchardet import _cchardet
+#ImportError: cannot import name '_cchardet'
+#I tried to manually import _cchardet in ipython3 and it works ...
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/chardet[${PYTHON_USEDEP}]
+"
+#bundled ...
+# app-i18n/uchardet
+DEPEND="
+ ${RDEPEND}
+ dev-python/cython[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests nose
+
+#src_prepare() {
+# append-cppflags "-I/usr/include/uchardet"
+ #bundled uchardet
+# rm -rf src/ext/uchardet || die
+# default
+#}
+
+#python_test() {
+# distutils_install_for_testing
+# "${EPYTHON}" setup.py nosetest || die
+#}
diff --git a/dev-python/cchardet/metadata.xml b/dev-python/cchardet/metadata.xml
new file mode 100644
index 0000000..4fb9738
--- /dev/null
+++ b/dev-python/cchardet/metadata.xml
@@ -0,0 +1,143 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>[email protected]</email>
+ <name>Alessandro Barbieri</name>
+ </maintainer>
+ <longdescription lang="en">
+Supported Languages/Encodings
+
+ International (Unicode)
+ UTF-8
+ UTF-16BE / UTF-16LE
+ UTF-32BE / UTF-32LE / X-ISO-10646-UCS-4-34121 / X-ISO-10646-UCS-4-21431
+ Arabic
+ ISO-8859-6
+ WINDOWS-1256
+ Bulgarian
+ ISO-8859-5
+ WINDOWS-1251
+ Chinese
+ ISO-2022-CN
+ BIG5
+ EUC-TW
+ GB18030
+ HZ-GB-2312
+ Croatian:
+ ISO-8859-2
+ ISO-8859-13
+ ISO-8859-16
+ Windows-1250
+ IBM852
+ MAC-CENTRALEUROPE
+ Czech
+ Windows-1250
+ ISO-8859-2
+ IBM852
+ MAC-CENTRALEUROPE
+ Danish
+ ISO-8859-1
+ ISO-8859-15
+ WINDOWS-1252
+ English
+ ASCII
+ Esperanto
+ ISO-8859-3
+ Estonian
+ ISO-8859-4
+ ISO-8859-13
+ ISO-8859-13
+ Windows-1252
+ Windows-1257
+ Finnish
+ ISO-8859-1
+ ISO-8859-4
+ ISO-8859-9
+ ISO-8859-13
+ ISO-8859-15
+ WINDOWS-1252
+ French
+ ISO-8859-1
+ ISO-8859-15
+ WINDOWS-1252
+ German
+ ISO-8859-1
+ WINDOWS-1252
+ Greek
+ ISO-8859-7
+ WINDOWS-1253
+ Hebrew
+ ISO-8859-8
+ WINDOWS-1255
+ Hungarian:
+ ISO-8859-2
+ WINDOWS-1250
+ Irish Gaelic
+ ISO-8859-1
+ ISO-8859-9
+ ISO-8859-15
+ WINDOWS-1252
+ Italian
+ ISO-8859-1
+ ISO-8859-3
+ ISO-8859-9
+ ISO-8859-15
+ WINDOWS-1252
+ Japanese
+ ISO-2022-JP
+ SHIFT_JIS
+ EUC-JP
+ Korean
+ ISO-2022-KR
+ EUC-KR / UHC
+ Lithuanian
+ ISO-8859-4
+ ISO-8859-10
+ ISO-8859-13
+ Latvian
+ ISO-8859-4
+ ISO-8859-10
+ ISO-8859-13
+ Maltese
+ ISO-8859-3
+ Polish:
+ ISO-8859-2
+ ISO-8859-13
+ ISO-8859-16
+ Windows-1250
+ IBM852
+ MAC-CENTRALEUROPE
+ Portuguese
+ ISO-8859-1
+ ISO-8859-9
+ ISO-8859-15
+ WINDOWS-1252
+ Romanian:
+ ISO-8859-2
+ ISO-8859-16
+ Windows-1250
+ IBM852
+ Russian
+ ISO-8859-5
+ KOI8-R
+ WINDOWS-1251
+ MAC-CYRILLIC
+ IBM866
+ IBM855
+ Slovak
+ Windows-1250
+ ISO-8859-2
+ IBM852
+ MAC-CENTRALEUROPE
+ Slovene
+ ISO-8859-2
+ ISO-8859-16
+ Windows-1250
+ IBM852
+ M
+ </longdescription>
+ <upstream>
+ <remote-id type="pypi">googletransx</remote-id>
+ </upstream>
+</pkgmetadata>